summaryrefslogtreecommitdiff
path: root/app-admin/filebeat/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
commit8376ef56580626e9c0f796d5b85b53a0a1c7d5f5 (patch)
tree7681bbd4e8b05407772df40a4bf04cbbc8afc3fa /app-admin/filebeat/files
parent30a9caf154332f12ca60756e1b75d2f0e3e1822d (diff)
gentoo resync : 14.07.2018
Diffstat (limited to 'app-admin/filebeat/files')
-rw-r--r--app-admin/filebeat/files/filebeat.confd15
-rw-r--r--app-admin/filebeat/files/filebeat.initd43
-rw-r--r--app-admin/filebeat/files/filebeat.initd.143
3 files changed, 101 insertions, 0 deletions
diff --git a/app-admin/filebeat/files/filebeat.confd b/app-admin/filebeat/files/filebeat.confd
new file mode 100644
index 000000000000..2fcf41aa3322
--- /dev/null
+++ b/app-admin/filebeat/files/filebeat.confd
@@ -0,0 +1,15 @@
+# Run filebeat under this user/group
+#FILEBEAT_USER=""
+#FILEBEAT_GROUP=""
+
+# Configuration path
+#FILEBEAT_CONFIG=""
+
+# Path to data directory
+#FILEBEAT_DATADIR=""
+
+# Path to log directory
+#FILEBEAT_LOGDIR=""
+
+# Additional arguments passed to filebeat
+#FILEBEAT_OPTS=""
diff --git a/app-admin/filebeat/files/filebeat.initd b/app-admin/filebeat/files/filebeat.initd
new file mode 100644
index 000000000000..92b8369a41d7
--- /dev/null
+++ b/app-admin/filebeat/files/filebeat.initd
@@ -0,0 +1,43 @@
+#!/sbin/openrc-run
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+FILEBEAT_USER="${FILEBEAT_USER:-root}"
+FILEBEAT_GROUP="${FILEBEAT_GROUP:-root}"
+FILEBEAT_CONFIG="${FILEBEAT_CONFIG:-/etc/filebeat/filebeat.yml}"
+FILEBEAT_DATADIR="${FILEBEAT_DATADIR:-/var/lib/filebeat}"
+FILEBEAT_LOGDIR="${FILEBEAT_LOGDIR:-/var/log/filebeat}"
+FILEBEAT_OPTS="${FILEBEAT_OPTS:-}"
+
+command="/usr/bin/filebeat"
+command_args="-c ${FILEBEAT_CONFIG} ${FILEBEAT_OPTS} -path.config $(dirname $FILEBEAT_CONFIG) \
+ -path.data ${FILEBEAT_DATADIR} -path.home ${FILEBEAT_DATADIR} -path.logs ${FILEBEAT_LOGDIR}"
+command_background="true"
+command_user="${FILEBEAT_USER}:${FILEBEAT_GROUP}"
+extra_commands="checkconfig"
+pidfile="/run/filebeat.pid"
+retry="TERM/5/KILL/5"
+start_stop_daemon_args="--chdir ${FILEBEAT_DATADIR}"
+
+depend() {
+ use net
+ after elasticsearch
+}
+
+checkconfig() {
+ if [ ! -e ${FILEBEAT_CONFIG} ]; then
+ eend "Please create a configuration file at ${FILEBEAT_CONFIG}"
+ return 1
+ fi
+
+ ebegin "Checking your configuration"
+ ${command} ${command_args} -configtest
+ eend $? "Configuration error. Please fix your configuration files."
+}
+
+start_pre() {
+ checkconfig || return 1
+
+ checkpath -d -o "${FILEBEAT_USER}":"${FILEBEAT_GROUP}" -m750 "${FILEBEAT_DATADIR}"
+ checkpath -d -o "${FILEBEAT_USER}":"${FILEBEAT_GROUP}" -m750 "${FILEBEAT_LOGDIR}"
+}
diff --git a/app-admin/filebeat/files/filebeat.initd.1 b/app-admin/filebeat/files/filebeat.initd.1
new file mode 100644
index 000000000000..2cb33ba8ebc0
--- /dev/null
+++ b/app-admin/filebeat/files/filebeat.initd.1
@@ -0,0 +1,43 @@
+#!/sbin/openrc-run
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+FILEBEAT_USER="${FILEBEAT_USER:-root}"
+FILEBEAT_GROUP="${FILEBEAT_GROUP:-root}"
+FILEBEAT_CONFIG="${FILEBEAT_CONFIG:-/etc/filebeat/filebeat.yml}"
+FILEBEAT_DATADIR="${FILEBEAT_DATADIR:-/var/lib/filebeat}"
+FILEBEAT_LOGDIR="${FILEBEAT_LOGDIR:-/var/log/filebeat}"
+FILEBEAT_OPTS="${FILEBEAT_OPTS:-}"
+
+command="/usr/bin/filebeat"
+command_args="-c ${FILEBEAT_CONFIG} ${FILEBEAT_OPTS} -path.config $(dirname $FILEBEAT_CONFIG) \
+ -path.data ${FILEBEAT_DATADIR} -path.home ${FILEBEAT_DATADIR} -path.logs ${FILEBEAT_LOGDIR}"
+command_background="true"
+command_user="${FILEBEAT_USER}:${FILEBEAT_GROUP}"
+extra_commands="checkconfig"
+pidfile="/run/filebeat.pid"
+retry="TERM/5/KILL/5"
+start_stop_daemon_args="--chdir ${FILEBEAT_DATADIR}"
+
+depend() {
+ use net
+ after elasticsearch
+}
+
+checkconfig() {
+ if [ ! -e ${FILEBEAT_CONFIG} ]; then
+ eend "Please create a configuration file at ${FILEBEAT_CONFIG}"
+ return 1
+ fi
+
+ ebegin "Checking your configuration"
+ ${command} ${command_args} test config
+ eend $? "Configuration error. Please fix your configuration files."
+}
+
+start_pre() {
+ checkconfig || return 1
+
+ checkpath -d -o "${FILEBEAT_USER}":"${FILEBEAT_GROUP}" -m750 "${FILEBEAT_DATADIR}"
+ checkpath -d -o "${FILEBEAT_USER}":"${FILEBEAT_GROUP}" -m750 "${FILEBEAT_LOGDIR}"
+}